t.rast.colors(1)

NAME
t.rast.colors.py - Creates/modifies the color table associated with each raster map of the space time raster dataset.

KEYWORDS
temporal, color table, raster, time

SYNOPSIS
t.rast.colors.py
t.rast.colors.py --help
t.rast.colors.py [-rwlngae] input=name [color=style] [raster=name] [raster_3d=name] [rules=name] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Remove existing color table

-w
    Only write new color table if it does not already exist

-l
    List available rules then exit

-n
    Invert colors

-g
    Logarithmic scaling

-a
    Logarithmic-absolute scaling

-e
    Histogram equalization

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time raster dataset

color=style
    Name of color table (see r.color help)
    Options: aspect, aspectcolr, bcyr, bgyr, blues, byg, byr, celsius, corine, curvature, differences, elevation, etopo2, evi, fahrenheit, forest_cover, gdd, grass, greens, grey, grey.eq, grey.log, grey1.0, grey255, gyr, haxby, inferno, kelvin, magma, ndvi, ndwi, nlcd, oranges, plasma, population, population_dens, precipitation, precipitation_daily, precipitation_monthly, rainbow, ramp, random, reds, roygbiv, rstcurv, ryb, ryg, sepia, slope, soilmoisture, srtm, srtm_plus, terrain, viridis, water, wave
    aspect: aspect oriented grey colors [range: map values]
    aspectcolr: aspect oriented rainbow colors [range: 0 to 360]
    bcyr: blue through cyan through yellow to red [range: map values]
    bgyr: blue through green through yellow to red [range: map values]
    blues: white to blue [range: map values]
    byg: blue through yellow to green [range: map values]
    byr: blue through yellow to red [range: map values]
    celsius: blue to red for degree Celsius temperature [range: -80 to 80]
    corine: EU Corine land cover colors [range: 111 to 995]
    curvature: for terrain curvatures (from v.surf.rst and r.slope.aspect) [range: map values]
    differences: differences oriented colors [range: map values]
    elevation: maps relative ranges of raster values to elevation color ramp [range: map values]
    etopo2: colors for ETOPO2 worldwide bathymetry/topography [range: -11000 to 8850]
    evi: enhanced vegetative index colors [range: -1 to 1]
    fahrenheit: blue to red for Fahrenheit temperature [range: -112 to 176]
    forest_cover: percentage of forest cover [range: 0 to 100]
    gdd: accumulated growing degree days [range: 0 to 6000]
    grass: GRASS GIS green (perceptually uniform) [range: map values]
    greens: white to green [range: map values]
    grey: grey scale [range: map values]
    grey.eq: histogram-equalized grey scale [range: map values]
    grey.log: histogram logarithmic transformed grey scale [range: map values]
    grey1.0: grey scale for raster values between 0.0-1.0 [range: 0 to 1]
    grey255: grey scale for raster values between 0-255 [range: 0 to 255]
    gyr: green through yellow to red [range: map values]
    haxby: relative colors for bathymetry or topography [range: map values]
    inferno: perceptually uniform sequential color table inferno [range: map values]
    kelvin: blue to red for temperature in Kelvin scale [range: 193.15 to 353.15]
    magma: perceptually uniform sequential color table magma [range: map values]
    ndvi: Normalized Difference Vegetation Index colors [range: -1 to 1]
    ndwi: Normalized Difference Water Index colors [range: -200 to 200]
    nlcd: US National Land Cover Dataset colors [range: 0 to 95]
    oranges: white to orange [range: map values]
    plasma: perceptually uniform sequential color table plasma [range: map values]
    population: color table covering human population classification breaks [range: 0 to 2e+09]
    population_dens: color table covering human population density classification breaks [range: 0 to 1e+09]
    precipitation: precipitation color table (0..2000mm) [range: 0 to 7000]
    precipitation_daily: precipitation color table (0..1000mm) [range: 0 to 10000]
    precipitation_monthly: precipitation color table (0..1000mm) [range: 0 to 1000]
    rainbow: rainbow color table [range: map values]
    ramp: color ramp [range: map values]
    random: random color table [range: map values]
    reds: white to red [range: map values]
    roygbiv: [range: map values]
    rstcurv: terrain curvature (from r.resamp.rst) [range: map values]
    ryb: red through yellow to blue [range: map values]
    ryg: red through yellow to green [range: map values]
    sepia: yellowish-brown through to white [range: map values]
    slope: r.slope.aspect-type slope colors for raster values 0-90 [range: 0 to 90]
    soilmoisture: soilmoisture color table (0.0-1.0) [range: 0 to 1]
    srtm: color palette for Shuttle Radar Topography Mission elevation [range: -11000 to 8850]
    srtm_plus: color palette for Shuttle Radar Topography Mission elevation (with seafloor colors) [range: -11000 to 8850]
    terrain: global elevation color table covering -11000 to +8850m [range: -11000 to 8850]
    viridis: perceptually uniform sequential color table viridis [range: map values]
    water: water depth [range: map values]
    wave: color wave [range: map values]

raster=name
    Raster map from which to copy color table

raster_3d=name
    3D raster map from which to copy color table

rules=name
    Path to rules file

DESCRIPTION
t.rast.colors computes a color table based on all registered maps of a space time raster dataset and to assign this color table to each map. Hence the created color table reflects the data range of the space time raster dataset. This module is a simple wrapper around r.colors. All options of r.colors are supported. Internally a file with map names is created and passed to the file option of r.colors.

Please have a look at the r.colors manual page for further information.

EXAMPLE
Set Celsius color table to monthly dataset

t.rast.colors input=tempmean_monthly color=celsius
r.colors.out map=2009_01_tempmean
-80 0:0:40
-40 91:10:168
-30 220:220:220
-25 91:50:128
-20 50:0:150
-15 4:25:130
-10 8:54:106
-8 4:20:150
-5 0:50:255
-2 8:10:118
-0.061449 8:113:155
0.013855 8:118:157
0.090594 8:123:158
0.168767 8:128:159
0.248375 8:133:159
0.329417 8:136:160
...
40.6976 183:163:163
41.0483 185:167:167
41.4004 188:170:171
41.754 190:174:174
42.109 191:178:178
42.4655 193:182:182
42.8233 195:185:185
43.1827 197:189:189
43.5434 199:192:193
43.9056 200:197:197
44.2692 202:200:201
44.6342 204:204:204
45.0007 206:206:206
80 155:10:155
nv 255:255:255
default 255:255:255

SEE ALSO
r.colors

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

SOURCE CODE

Available at: t.rast.colors source code (history)

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6 Reference Manual